-- name: Player Resizer
-- description: Change player size, Hold L and press with D pad up and down or Y to reset

CanResize = false -- Boolean
CurrentHeightofmario = 1.0 -- float value because why not
MariosHeightValue = 1
function mario_update(m)
    m.marioObj.header.gfx.scale.y = MariosHeightValue
    m.marioObj.header.gfx.scale.z = MariosHeightValue
    m.marioObj.header.gfx.scale.x = MariosHeightValue
    -- sets marios height to whatever the float valueMariosHeightValue is equal to
    if (m.controller.buttonDown & L_TRIG) ~= 0 then -- must be holding L button to change size
       CanResize = true
    else
        CanResize = false
    end

    if (m.controller.buttonPressed & U_JPAD) ~= 0 and CanResize then
		
        MariosHeightValue = MariosHeightValue + 0.1  -- add 0.1 from current height

            
    end
    if (m.controller.buttonPressed & D_JPAD) ~= 0 and CanResize then
        MariosHeightValue = MariosHeightValue - 0.1 -- subtract 0.1 from current height

 
    end
    if (m.controller.buttonPressed & Y_BUTTON) ~= 0 and CanResize then
        MariosHeightValue = 1
    end

    




end
--HOOK
hook_event(HOOK_MARIO_UPDATE, mario_update)
