function spawn_random_npc(m)
    if (m.controller.buttonPressed & U_JPAD) ~= 0 then -- check if up on d pad was pressed
        local listofnpcs = {
            [1] = {id_bhvGoomba, E_MODEL_GOOMBA},
            [2] = {id_bhvFlyGuy, E_MODEL_FLYGUY},
            [3] = {id_bhvSnufit, E_MODEL_SNUFIT},
            [4] = {id_bhvBoo, E_MODEL_BOO},
            [5] = {id_bhvKoopa, E_MODEL_KOOPA_WITH_SHELL},
            [6] = {id_bhvScuttlebug, E_MODEL_SCUTTLEBUG},
            [7] = {id_bhvSpindrift, E_MODEL_SPINDRIFT},
            [8] = {id_bhvBobomb, E_MODEL_BLACK_BOBOMB},
            [9] = {id_bhvSkeeter, E_MODEL_SKEETER}
        }
--Table of all enemies that can be spawned
        local RandomNPC = math.random(1, 9)  -- local variable equal to a random number between 1 and 9
        local npc = listofnpcs[RandomNPC]   -- the local variable 'npc' is equal to random number of lisofnpcs. if it was 'local npc = listofnpcs[1]' only a goomba would spawn
        
        if npc then
            spawn_sync_object(
                npc[1], -- this is the model of the npc example id_bhvGoomba
                npc[2], -- this is the behavior of the npc example E_MODEL_GOOMBA
                m.pos.x + 200, m.pos.y, m.pos.z, -- this is the position where the npc will spawn
                nil
            )
        end
    end
end

hook_event(HOOK_MARIO_UPDATE, spawn_random_npc) -- our hook calls the function named spawn_random_npc
