-- name: Press L to Reset in start Menu
-- description: Prevent Softlock by pressing L while paused

-- this is great to use on your custom romhack to prevent softlock! just throw this code in your main.lua in your romhack mod folder

--GLOBAL VARIABLES
startlocationstored = true
mariosstartx = 0
mariosstarty = 0
mariosstartz = 0
function on_hud_render() -- called by onhudrender hook
    if is_game_paused() then -- check if the game is paused
    -- Draw the message on screen
    djui_hud_set_color(255, 255, 255, 255) -- the first number is for the red value, the second number is the green value, the third is blue, and the last is Alpha (how transparent it will be)
    djui_hud_print_text("Press L to Reset", 80, 200, 3) -- x Position = 80 y Position = 200 scale = 3
    end
end

function mario_update(m)
    if is_game_paused() and (m.controller.buttonDown & L_TRIG) ~= 0 then -- Check if game is paused and L is pressed
        m.pos.x = mariosstartx
        m.pos.y = mariosstarty
        m.pos.z = mariosstartz      
  -- sets marios location to the start position
   end

   if startlocationstored then  -- Gets marios Location when the level starts, then sets startlocationstored false
    mariosstartx = m.pos.x
    mariosstarty = m.pos.y
    mariosstartz = m.pos.z
    startlocationstored = false
    end

end


function on_load() -- called by the hook HOOK_ON_LEVEL_INIT when a level is loaded
    startlocationstored = true    -- reset boolean to true when a new level loads
end
--HOOKS
hook_event(HOOK_ON_LEVEL_INIT, on_load)
hook_event(HOOK_ON_HUD_RENDER, on_hud_render)
hook_event(HOOK_MARIO_UPDATE, mario_update)